Subject: bug#17724: 24.4.50; regression: error "`recenter'ing a window that does not display current-buffer." when opening org-mode file

From: lee <[email-masked]>
Date: Tue, 17 Jun 2014 14:14:08 +0200

Bastien <[email-masked]> writes:

> Nicolas Richard <[email-masked]> writes:
>
>> I don't know if the bug should
>> be closed in this siutation, so I'll leave it to someone else.
>
> It should not be closed in Emacs bugs system yet, because the master
> branch of Org is not released and not merged into Emacs.  I'll keep
> this under my radar until then.

Since users may want to work around this problem until it is fixed:

  if (buf != current_buffer)
	  //	  error ("`recenter'ing a window that does not display current-buffer.");
	  return Qnil;

... in src/window.c seems to work for me.

-- 
Knowledge is volatile and fluid.  Software is power.